How to install 2 RTD versions in the same S32DS environment?

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

How to install 2 RTD versions in the same S32DS environment?

673 Views
chenwilsoft
Contributor I

I installed S32DS 3.5 with S32K3 RTD version 2.0.1 (2022_07) & version 2.0.2 (2022_11). After importing an LWIP example project based on RTD version 2.0.1, I used S32DS configure tools to open it. The IDE always changed the setting in the MEX file. The setting of the core has been changed from S32K344 to S32K324, and the setting of SDK has been changed from PlatformSDK_S32K3_2022_07 to PlatformSDK_S32K3_2022_11. These changes made a mistake in the IDE, and I cannot modify anything with the configuration tools.

Can I set the default RTD version of the IDE?

Labels (1)
0 Kudos
1 Reply

660 Views
VaneB
NXP TechSupport
NXP TechSupport

Hi @chenwilsoft 

These RTD packages are only supports ""S32 Design Studio IDE v3.4 Update 3", as noted in the release notes. Since the S32 Configuration Tools and RTD must be in sync to work properly, I believe this is most likely the reason why you are experiencing this issue.

At this point in time, S32DS 3.5 is not broadly supported on the S32K3 family. We do recommend to stay at version 3.4 until further notice.

 

B.R.

VaneB

0 Kudos